Date: Tuesday, September 20, 2016 @ 12:03:49
  Author: jgc
Revision: 276750

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  libsoup/repos/gnome-unstable-i686/
  libsoup/repos/gnome-unstable-i686/PKGBUILD
    (from rev 276749, libsoup/trunk/PKGBUILD)
  libsoup/repos/gnome-unstable-x86_64/
  libsoup/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 276749, libsoup/trunk/PKGBUILD)

--------------------------------+
 gnome-unstable-i686/PKGBUILD   |   49 +++++++++++++++++++++++++++++++++++++++
 gnome-unstable-x86_64/PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

Copied: libsoup/repos/gnome-unstable-i686/PKGBUILD (from rev 276749, 
libsoup/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD                                (rev 0)
+++ gnome-unstable-i686/PKGBUILD        2016-09-20 12:03:49 UTC (rev 276750)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <j...@archlinux.org>
+
+pkgname=libsoup
+pkgver=2.56.0
+pkgrel=1
+pkgdesc="GNOME HTTP Library"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://www.gnome.org";
+depends=(glib2 libxml2 glib-networking sqlite krb5)
+makedepends=(intltool gobject-introspection python vala git gtk-doc)
+checkdepends=(apache php php-apache)
+provides=("libsoup-gnome=$pkgver-$pkgrel")
+conflicts=(libsoup-gnome)
+replaces=(libsoup-gnome)
+options=('!emptydirs')
+_commit=65f5c1d50f453f219d17eef17eb1b99e5382dcf8
+source=("git://git.gnome.org/libsoup#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static --enable-gtk-doc
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+#  make check
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Copied: libsoup/repos/gnome-unstable-x86_64/PKGBUILD (from rev 276749, 
libsoup/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD                              (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD      2016-09-20 12:03:49 UTC (rev 276750)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <j...@archlinux.org>
+
+pkgname=libsoup
+pkgver=2.56.0
+pkgrel=1
+pkgdesc="GNOME HTTP Library"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://www.gnome.org";
+depends=(glib2 libxml2 glib-networking sqlite krb5)
+makedepends=(intltool gobject-introspection python vala git gtk-doc)
+checkdepends=(apache php php-apache)
+provides=("libsoup-gnome=$pkgver-$pkgrel")
+conflicts=(libsoup-gnome)
+replaces=(libsoup-gnome)
+options=('!emptydirs')
+_commit=65f5c1d50f453f219d17eef17eb1b99e5382dcf8
+source=("git://git.gnome.org/libsoup#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static --enable-gtk-doc
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+#  make check
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Reply via email to